Bug 998434 - Review Request: perl-Perl6-Caller - OO caller() interface
Review Request: perl-Perl6-Caller - OO caller() interface
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
: 1019630 (view as bug list)
Depends On:
Blocks: 998496
  Show dependency treegraph
 
Reported: 2013-08-19 06:11 EDT by Paul Howarth
Modified: 2013-10-16 03:47 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-Perl6-Caller-0.100-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-30 18:59:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2013-08-19 06:11:19 EDT
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Perl6-Caller/branches/fedora/perl-Perl6-Caller.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-Perl6-Caller/perl-Perl6-Caller-0.100-2.fc20.src.rpm

Description:
By default, this module exports the caller function. This automatically
returns a new caller object. An optional argument specifies how many stack
frames back to skip, just like the CORE::caller function. This lets you do
things like this:

    print "In ",           caller->subroutine,
          " called from ", caller->filename,
          " line ",        caller->line;

If you do not wish the caller function imported, specify an empty import list
and instantiate a new Perl6::Caller object.

    use Perl6::Caller ();
    my $caller = Perl6::Caller->new;
    print $caller->line;

Note: if the results from the module seem strange, please read
perldoc -s caller carefully. It has stranger behavior than you might be aware.


Fedora Account System Username: pghmcfc
Comment 1 Jitka Plesnikova 2013-08-22 07:10:55 EDT
Package Review
==============
Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Reguires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[!]: Buildroot is not present
     Note: Invalid buildroot found:
     %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[?]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


$ rpmlint perl-Perl6-Caller.spec perl-Perl6-Caller-0.100-2.fc21.*
perl-Perl6-Caller.noarch: W: spelling-error %description -l en_US filename -> file name, file-name, filament
perl-Perl6-Caller.noarch: W: spelling-error %description -l en_US perldoc -> periodic
perl-Perl6-Caller.src: W: spelling-error %description -l en_US filename -> file name, file-name, filament
perl-Perl6-Caller.src: W: spelling-error %description -l en_US perldoc -> periodic
2 packages and 1 specfiles checked; 0 errors, 4 warnings.
Rpmlint ok

$ rpm -qp --provides ../results/perl-Perl6-Caller-0.100-2.fc21.noarch.rpm | sort | uniq -c
      1 perl(Perl6::Caller) = 0.100
      1 perl-Perl6-Caller = 0.100-2.fc21
Binary provides ok

$ rpm -qp --requires ../results/perl-Perl6-Caller-0.100-2.fc21.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.18.1)
      1 perl(overload)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires ok


MD5-sum check
-------------
http://cpan.metacpan.org/authors/id/O/OV/OVID/Perl6-Caller-0.100.tar.gz :
  CHECKSUM(SHA256) this package     : be18c1a3f86f7881da560a87902810e7613fd5da128dad49e3cf7ed6e337daa3
  CHECKSUM(SHA256) upstream package : be18c1a3f86f7881da560a87902810e7613fd5da128dad49e3cf7ed6e337daa3


Issues:
TODO: Remove BuildRoot tag.
TODO: Drop removing of buildroot. It is not needed now.
TODO: Remove %clean section.

Please consider fixing 'TODO' items.

Otherwise package looks good.
APPROVED
Comment 2 Christopher Meng 2013-08-22 07:29:06 EDT
It's not 'consider', it's MUST
Comment 3 Paul Howarth 2013-08-22 07:49:09 EDT
(In reply to Jitka Plesnikova from comment #1)
> Issues:
> TODO: Remove BuildRoot tag.
> TODO: Drop removing of buildroot. It is not needed now.
> TODO: Remove %clean section.
> 
> Please consider fixing 'TODO' items.

These are needed for EL-5 support.

> Otherwise package looks good.
> APPROVED

Thanks for the review again Jitka.

(In reply to Christopher Meng from comment #2)
> It's not 'consider', it's MUST

Yes, it's a MUST for EL-5 support:

https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#.25clean

  The %clean section is not required for F-13 and above. Each package
  for F-12 and below (or EPEL 5) MUST have a %clean section, which
  contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
Comment 4 Paul Howarth 2013-08-22 07:50:35 EDT
New Package SCM Request
=======================
Package Name: perl-Perl6-Caller
Short Description: OO caller() interface
Owners: pghmcfc
Branches: F-19 F-20
InitialCC: perl-sig
Comment 5 Paul Howarth 2013-08-22 08:05:13 EDT
Whoops, forgot some branches:

New Package SCM Request
=======================
Package Name: perl-Perl6-Caller
Short Description: OO caller() interface
Owners: pghmcfc
Branches: f18 f19 f20 el5 el6
InitialCC: perl-sig
Comment 6 Gwyn Ciesla 2013-08-22 08:27:33 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-08-22 10:27:02 EDT
perl-Perl6-Caller-0.100-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Perl6-Caller-0.100-2.fc19
Comment 8 Paul Howarth 2013-08-22 10:30:27 EDT
Package Change Request
======================
Package Name: perl-Perl6-Caller
New Branches: f18 el5 el6
Owners: pghmcfc
InitialCC: perl-sig
Comment 9 Gwyn Ciesla 2013-08-22 11:25:34 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-08-22 12:01:28 EDT
perl-Perl6-Caller-0.100-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Perl6-Caller-0.100-2.fc18
Comment 11 Fedora Update System 2013-08-22 12:02:54 EDT
perl-Perl6-Caller-0.100-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Perl6-Caller-0.100-2.el6
Comment 12 Fedora Update System 2013-08-22 12:03:04 EDT
perl-Perl6-Caller-0.100-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Perl6-Caller-0.100-2.el5
Comment 13 Fedora Update System 2013-08-22 20:39:58 EDT
perl-Perl6-Caller-0.100-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 14 Fedora Update System 2013-08-30 18:59:31 EDT
perl-Perl6-Caller-0.100-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 15 Fedora Update System 2013-08-30 19:01:21 EDT
perl-Perl6-Caller-0.100-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 16 Fedora Update System 2013-09-07 14:26:11 EDT
perl-Perl6-Caller-0.100-2.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 17 Fedora Update System 2013-09-07 14:27:20 EDT
perl-Perl6-Caller-0.100-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 18 Petr Pisar 2013-10-16 03:47:25 EDT
*** Bug 1019630 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.